# $Revision: 1.33 $, $Date: 2002/08/17 20:57:22 $
Summary:	Project change supervisor
Summary(pl):	Nadzorca zmian w projektach
Name:		aegis
Version:	3.18
Release:	2
License:	GPL
Group:		Development/Version Control
Source0:	http://www.canb.auug.org.au/~millerp/aegis/%{name}-%{version}.tar.gz
Patch0:		%{name}-ugid.patch
URL:		http://www.canb.auug.org.au/~millerp/aegis.html
Icon:		aegis.gif
BuildRequires:	zlib-devel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sharedstatedir		/var/lib

%description
Aegis is a transaction-based software configuration management system.
It provides a framework within which a team of developers may work on
many changes to a program independently, and Aegis coordinates
integrating these changes back into the master source of the program,
with as little disruption as possible.

%description -l pl
Aegis jest transakcyjnie dziaajcym programem do zarzdzania
konfiguracj. Daje rodowisko w ktrym zaoga developerw moe
pracowa nad wieloma zmianami w programie niezalenie, a Aegis
koordynuje integracj tych zmian w gwne rda programu.

%prep
%setup -q
%patch -p1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/{aegis,locale},%{_libdir},%{_mandir}/man1}

%{__make} install \
	AEGIS_UID=`id -ru` \
	AEGIS_GID=`id -rg` \
	HAVE_WEB=yes ScriptRoot=/home/httpd/cgi-bin

mv -f $RPM_BUILD_ROOT%{_libdir}/aegis/en $RPM_BUILD_ROOT%{_datadir}/locale
rm -rf $RPM_BUILD_ROOT%{_datadir}/aegis/man1
rm -rf $RPM_BUILD_ROOT%{_datadir}/aegis/en
rm -f lib/en/html/.mkdir*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`/usr/bin/getgid aegis`" ]; then
	if [ "`/usr/bin/getgid aegis`" != "65" ]; then
		echo "Error: group aegis doesn't have gid=65. Correct this before installing aegis." 1>&2
		exit 1
	fi
else
	/usr/sbin/groupadd -g 65 aegis
fi
if [ -n "`/bin/id -u aegis 2>/dev/null`" ]; then
	if [ "`/bin/id -u aegis`" != "65" ]; then
		echo "Error: user aegis doesn't have uid=65. Correct this before installing aegis." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 65 -g 65 -c "Project change supervisor" aegis 1>&2
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/sbin/userdel aegis 2>/dev/null
	/usr/sbin/groupdel aegis 2>/dev/null
fi

%files
%defattr(644,root,root,755)
%doc lib/en/*.{ps,txt} lib/en/notes/locale.man lib/en/html README

%dir %attr(775,root,aegis) %{_sharedstatedir}/aegis
%dir %attr(755,root,aegis) %{_libdir}/aegis
%dir %{_datadir}/aegis

%attr(0755,root,root) %{_bindir}/aedist
%attr(0755,root,root) %{_bindir}/aefind
%attr(4755,root,root) %{_bindir}/aegis
%attr(0755,root,root) %{_bindir}/aerect
%attr(0755,root,root) %{_bindir}/aereport
%attr(0755,root,root) %{_bindir}/tk*

%attr(0755,root,root) /home/httpd/cgi-bin/aegis.cgi
%attr(0755,root,root) %{_datadir}/aegis/*.sh
%attr(0755,root,root) %{_datadir}/aegis/remind/*

%{_datadir}/aegis/aegis.icon
%{_datadir}/aegis/aegis.mask
%{_datadir}/aegis/aegis.pgm
%{_datadir}/aegis/cshrc
%{_datadir}/aegis/profile
%{_datadir}/aegis/report.index
%{_datadir}/aegis/config.example/*
%{_datadir}/aegis/report/*
%{_datadir}/aegis/wish/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: aegis.spec,v $
Revision 1.33  2002/08/17 20:57:22  qboosh
- better messages in pre, more specific Requires, new %%doc, release 2

Revision 1.32  2002/04/25 15:42:20  arturs
fixed a small typo

Revision 1.31  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:12:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/12/27 13:16:01  qboosh
- FHS: changed /usr/com to /var/lib
- fixed installation of aegis.cgi
- use standard useradd/groupadd procedure

Revision 1.28  2001/10/08 12:37:35  qboosh
- don't gzip man pages in spec - rpm does
- added pl description
- NOTE: /usr/com is not FHS-compliant

Revision 1.27  2001/10/06 16:07:02  blues
- pl Summary added

Revision 1.26  2001/09/28 07:57:57  marcus
- s/%%configure/%%configure2_13/g

Revision 1.25  2001/07/26 05:42:03  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.22  2000/12/09 17:55:13  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.21  2000/11/27 22:57:16  misiek
using update-db is obsolete; removed

Revision 1.20  2000/07/30 08:52:33  kloczek
- spec adapterized.

Revision 1.19  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:22:46  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.16  2000/05/05 06:01:03  kloczek
- updated Source url,
- spec adapterized.

Revision 1.15  2000/04/01 11:14:22  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.13  1999/07/20 11:04:32  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.12  1999/07/16 19:24:11  baggins
- cleanups

Revision 1.11  1999/07/13 16:39:15  baggins
- small fixes

Revision 1.10  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Apr  2 1999 Micha Kuratczyk <kura@pld.org.pl>
  [3.12-2]
  (based on spec by anonymous)
- added Group(pl)
- sloted BuildRoot into PLD standard
- added %changelog
- added %defattr(644,root,root,755)
- simplifications in %files
- root instead bin group on files
- added -q %setup parameter
- commented Icon (not available)
